package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 合一区域
 * </p>
 *
 * @author mk
 * @since 2023-11-01
 */
@TableName("heyi_group")
@ApiModel(value="HeyiGroup对象", description="合一区域")
public class HeyiGroup extends Model<HeyiGroup> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "区域通信id")
    @TableField("net_id")
    private String netId;

    @ApiModelProperty(value = "名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "项目id")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "posid")
    @TableField("pos_id")
    private Long posId;

    @ApiModelProperty(value = "合一id")
    @TableField("heyi_id")
    private Long heyiId;

    @ApiModelProperty(value = "控制状态")
    @TableField("ctrl_enable")
    private Integer ctrlEnable;

    @ApiModelProperty(value = "策略状态")
    @TableField("policy_enable")
    private Integer policyEnable;

    @ApiModelProperty(value = "空间类型")
    @TableField("space_type")
    private Integer spaceType;

    @ApiModelProperty(value = "组id")
    @TableField("group_id")
    private Long groupId;

    @TableField("soft_delete")
    private Integer softDelete;

    @TableField("scenes_id")
    private Long scenesId;

    @TableField("scenes_level")
    private Integer scenesLevel;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "策略串")
    @TableField("policy")
    private String policy;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getNetId() {
        return netId;
    }

    public void setNetId(String netId) {
        this.netId = netId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public Long getPosId() {
        return posId;
    }

    public void setPosId(Long posId) {
        this.posId = posId;
    }

    public Long getHeyiId() {
        return heyiId;
    }

    public void setHeyiId(Long heyiId) {
        this.heyiId = heyiId;
    }

    public Integer getCtrlEnable() {
        return ctrlEnable;
    }

    public void setCtrlEnable(Integer ctrlEnable) {
        this.ctrlEnable = ctrlEnable;
    }

    public Integer getPolicyEnable() {
        return policyEnable;
    }

    public void setPolicyEnable(Integer policyEnable) {
        this.policyEnable = policyEnable;
    }

    public Integer getSpaceType() {
        return spaceType;
    }

    public void setSpaceType(Integer spaceType) {
        this.spaceType = spaceType;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getScenesId() {
        return scenesId;
    }

    public void setScenesId(Long scenesId) {
        this.scenesId = scenesId;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPolicy() {
        return policy;
    }

    public void setPolicy(String policy) {
        this.policy = policy;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "HeyiGroup{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", netId=" + netId +
        ", name=" + name +
        ", orgId=" + orgId +
        ", posId=" + posId +
        ", heyiId=" + heyiId +
        ", ctrlEnable=" + ctrlEnable +
        ", policyEnable=" + policyEnable +
        ", spaceType=" + spaceType +
        ", groupId=" + groupId +
        ", softDelete=" + softDelete +
        ", scenesId=" + scenesId +
        ", scenesLevel=" + scenesLevel +
        ", agentId=" + agentId +
        ", agentName=" + agentName +
        ", propertyId=" + propertyId +
        ", propertyName=" + propertyName +
        ", districtId=" + districtId +
        ", districtName=" + districtName +
        ", policy=" + policy +
        "}";
    }
}
